#ifndef _DICT_H_
#define _DICT_H_

typedef struct dict_letter {
  struct dict_letter *next;
  struct dict_letter *child;
  int l;
  int w;
} dict_letter;

typedef struct {
  dict_letter *top;
} dictionary;

void new_dict(dictionary *);
void add_word(dictionary *, int *);
void dump(dictionary *);
void dump_cb(dictionary *, void (*)(int *));
int find_word(dictionary *, int *);

#endif /* _DICT_H_ */
