#include "holes.c"

#include <stdio.h>

int main(void)
{
  int i, j;
  hole h;
  i = 15;
  for (j = 1; j <= 7 && j <= i; j++) {
    int wordlen = i;
    int nb_holes = j;
    init_holes(&h, wordlen, nb_holes);
    printf("int _15_%d[][15] = {\n", j);
    do {
      int holed[15];
      int k;
      printf("  { ");
      for (k = 0; k < wordlen; k++) holed[k] = 0;
      for (k = 0; k < nb_holes; k++) holed[h.pos[k]] = 1;
      for (k = 0; k < wordlen; k++) printf("%d,", holed[k]);
      printf(" },\n");
    } while (next_holes(&h));
    printf("};\n\n");
  }
  printf("struct {\n");
  printf("  int (*h)[][15];\n  int len;\n} _15[7] = {\n");
  for (j = 1; j <= 7; j++)
    printf("  { &_15_%d, sizeof(_15_%d) / (15*sizeof(int)) },\n", j, j);
  printf("};\n");
  return 0;
}
