#include <stdio.h>
#include <stdlib.h>
#include "defs.h"

void usage(void)
{
  printf("usage: <dict> <moves>\n");
  exit(1);
}

dictionary dict;

int main(int n, char **v)
{
  game g;
  char *dictfile = NULL;
  char *moves = NULL;
  int i;

  for (i = 1; i < n; i++) {
    if (dictfile == NULL) { dictfile = v[i]; continue; }
    if (moves == NULL) { moves = v[i]; continue; }
    usage();
  }

  if (dictfile == NULL || moves == NULL) usage();

  new_dict(&dict);
  printf("reading dict\n");
  read_dict(dictfile, &dict, 0);
  init_game(&g);
  read_moves(&g, moves);
  printf("doing permutations\n");
  dig(&g);
  return 0;
}
