#include "defs.h"
#include "hole15.h"
#include <stdlib.h>

constraint *alloc_constraint(game *g)
{
  constraint *nc;
  if (g->csize == g->cmaxsize) {
    g->cmaxsize += 1024;
    g->constraints = realloc(g->constraints, g->cmaxsize*sizeof(constraint *));
    if (g->constraints == NULL) abort();
  }
  nc = malloc(sizeof(constraint)); if (nc == NULL) abort();
  g->constraints[g->csize] = nc;
  g->csize++;
  return nc;
}

void add_constraint_wordat(game *g, int type, int *word, int row, int col,
                           int vert)
{
  int i;
  constraint *_c = alloc_constraint(g);
  wordat_constraint *c = &_c->_2;
  c->type = type;
  for (i = 0; i < 15 && word[i]; i++) c->word[i] = word[i];
  if (word[i]) abort();
  c->word[i] = i;
  c->wordlen = i;
}

void add_constraint_play_together(game *g, int row1, int col1,
                                  int row2, int col2)
{
  constraint *_c = alloc_constraint(g);
  play_together_constraint *c = &_c->_3;
  c->row1 = row1;
  c->col1 = col1;
  c->row2 = row2;
  c->col2 = col2;
}

void solve_constraints(game *g)
{
}
