#include "holes.c"

#include <stdio.h>

int main(void)
{
  int i, j;
  hole h;
  for (i = 2; i <= 15; i++)
  for (j = 1; j <= 7 && j <= i; j++) {
    int wordlen = i;
    int nb_holes = j;
    init_holes(&h, wordlen, nb_holes);
    printf("int _%d_%d[][%d] = {\n", i, j, i);
    do {
      int holed[15];
      int k;
      printf("  { ");
      for (k = 0; k < wordlen; k++) holed[k] = 0;
      for (k = 0; k < nb_holes; k++) holed[h.pos[k]] = 1;
      for (k = 0; k < wordlen; k++) printf("%d,", holed[k]);
      printf(" },\n");
    } while (next_holes(&h));
    printf("};\n\n");
  }
  for (i = 2; i <= 15; i++) {
    printf("struct {\n");
    printf("  int (*h)[][%d];\n  int len;\n} _%d[%d] = {\n", i, i, i>7?7:i);
    for (j = 1; j <= 7 && j <= i; j++)
      printf("  { &_%d_%d, sizeof(_%d_%d) / (%d*sizeof(int)) },\n",
             i, j, i, j, i);
    printf("};\n");
  }
  return 0;
}
