#include <stdlib.h>
#include <string.h>
#include <stdio.h>

extern int translated_letters[200];

typedef struct {
  int letter;
  int row;
  int col;
  int bagpos;
} constraint;

static int constraint_board[15][15];
static constraint cs[15*15];
static int cs_size;
static int bagused[200];
static int bagsize;

void add_constraints(char *w, int row, int col, int vert)
{
  int i;
  int inccol, incrow;

  if (vert) { incrow = 1; inccol = 0; } else { incrow = 0; inccol = 1; }

  for (i = 0; i<16 && *w; i++, w++, row+=incrow, col+=inccol) {
    if (*w < 'a' || *w > 'z') abort();
    if (constraint_board[row][col]) abort();
    constraint_board[row][col] = *w - 'a' + 1;
    cs[cs_size].letter = *w - 'a' + 1;
    cs[cs_size].row = row;
    cs[cs_size].col = col;
    cs[cs_size].bagpos = -1;
    cs_size++;
  }
  if (*w) abort();
}

extern int next_letter;

static char *dabag;
static void do_constraint(int n)
{
  int i;
  if (n == cs_size) {
    /* all constraints set, go */
    next_letter = 0;
//    contest();
static int runs=1;printf("\r%d     \t\t", runs++);fflush(stdout);
    return;
  }

  for (i = 0; i < bagsize; i++) {
    if (bagused[i]) continue;
    if (translated_letters[i] == cs[n].letter) {
      bagused[i] = 1;
      cs[n].bagpos = i;
      do_constraint(n+1);
      bagused[i] = 0;
    }
  }
}

void init_contest(char *bag);

void constraints(char *bag)
{
  dabag = bag;
  bagsize = strlen(bag);
  if (bagsize > 200) abort();
  init_contest(bag);
  do_constraint(0);
}

void check_constraints(void)
{
}
